<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>Uses of Class beans.Question</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class beans.Question";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../beans/Question.html" title="class in beans">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?beans/class-use/Question.html" target="_top">Frames</a></li>
<li><a href="Question.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<div class="header">
<h2 title="Uses of Class beans.Question" class="title">Uses of Class<br>beans.Question</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../beans/Question.html" title="class in beans">Question</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#helperClasses">helperClasses</a></th>
<td class="colLast">
<div class="block">Provides some classes, that help the handling in the web application.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="helperClasses">
<!--   -->
</a>
<h3>Uses of <a href="../../beans/Question.html" title="class in beans">Question</a> in <a href="../../helperClasses/package-summary.html">helperClasses</a></h3>
<table class="useSummary" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../helperClasses/package-summary.html">helperClasses</a> that return <a href="../../beans/Question.html" title="class in beans">Question</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../beans/Question.html" title="class in beans">Question</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DatabaseHelper.</span><code><span class="memberNameLink"><a href="../../helperClasses/DatabaseHelper.html#getQuestion-java.lang.String-">getQuestion</a></span>&#8203;(java.lang.String&nbsp;p_ID)</code></th>
<td class="colLast">
<div class="block">Gets an question by a specific ID.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../helperClasses/package-summary.html">helperClasses</a> that return types with arguments of type <a href="../../beans/Question.html" title="class in beans">Question</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../beans/Question.html" title="class in beans">Question</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DatabaseHelper.</span><code><span class="memberNameLink"><a href="../../helperClasses/DatabaseHelper.html#getAllActiveQuestions--">getAllActiveQuestions</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets all active questions from the database.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../beans/Question.html" title="class in beans">Question</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DatabaseHelper.</span><code><span class="memberNameLink"><a href="../../helperClasses/DatabaseHelper.html#getAllQuestions--">getAllQuestions</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets all questions from the database.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../helperClasses/package-summary.html">helperClasses</a> with parameters of type <a href="../../beans/Question.html" title="class in beans">Question</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DatabaseHelper.</span><code><span class="memberNameLink"><a href="../../helperClasses/DatabaseHelper.html#insertQuestion-beans.Question-">insertQuestion</a></span>&#8203;(<a href="../../beans/Question.html" title="class in beans">Question</a>&nbsp;p_question)</code></th>
<td class="colLast">
<div class="block">Insert a question into the database.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">DatabaseHelper.</span><code><span class="memberNameLink"><a href="../../helperClasses/DatabaseHelper.html#updateQuestion-beans.Question-">updateQuestion</a></span>&#8203;(<a href="../../beans/Question.html" title="class in beans">Question</a>&nbsp;p_question)</code></th>
<td class="colLast">
<div class="block">Update a question in the database.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../beans/Question.html" title="class in beans">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?beans/class-use/Question.html" target="_top">Frames</a></li>
<li><a href="Question.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
